### Hierarchy

- Util

## Index

### Properties

- DATE_TIME_ISO8601

### Methods

- detectCollectionType
- detectType
- isBinary
- isBrowser
- isBufferType
- isCollection
- isNode
- isSet
- isType
- typeByConvention
- typeName
- typeOf
- typeOfFromDb
- uuidv4

### Object literals

- REGEX_CONVENTIONS

## Properties

### Static DATE_TIME_ISO8601

DATE_TIME_ISO8601: RegExp = /^(?:[1-9]\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:Z|[+-][01]\d:[0-5]\d)$/

- Defined in mapper/util.ts:35

## Methods

### Static detectCollectionType

- detectCollectionType(collection: any[] | Set<any>): AttributeCollectionType

- - Defined in mapper/util.ts:46

  Detects the dynamodb type to which an collection value should be mapped. Empty collections will be mapped to L(ist). Collections of type array where all the values are either String | Number | Binary will be mapped to the corresponding S(et) type. If the item types are heterogeneous or it is a non supported set type the returned type will be L(ist). The logic for collection fo type Set is the same.

  #### Parameters

  - ##### collection: any[] | Set<any>

  #### Returns AttributeCollectionType

### Static detectType

- detectType(value: any): AttributeType

- - Defined in mapper/util.ts:118

  #### Parameters

  - ##### value: any

  #### Returns AttributeType

### Static isBinary

- isBinary(data: any): boolean

- - Defined in mapper/util.ts:227

  #### Parameters

  - ##### data: any

  #### Returns boolean

### Static isBrowser

- isBrowser(): any

- - Defined in mapper/util.ts:257

  #### Returns any

### Static isBufferType

- isBufferType(type: any): boolean

- - Defined in mapper/util.ts:241

  #### Parameters

  - ##### type: any

  #### Returns boolean

### Static isCollection

- isCollection(value: any): boolean

- - Defined in mapper/util.ts:107

  #### Parameters

  - ##### value: any

  #### Returns boolean

### Static isNode

- isNode(): boolean

- - Defined in mapper/util.ts:261

  #### Returns boolean

### Static isSet

- isSet(value: any): boolean

- - Defined in mapper/util.ts:111

  #### Parameters

  - ##### value: any

  #### Returns boolean

### Static isType

- isType(obj: any, type: any): boolean

- - Defined in mapper/util.ts:248

  #### Parameters

  - ##### obj: any

  - ##### type: any

  #### Returns boolean

### Static typeByConvention

- typeByConvention(propertyKey: string): TypesByConvention | undefined

- - Defined in mapper/util.ts:96

  #### Parameters

  - ##### propertyKey: string

  #### Returns TypesByConvention | undefined

### Static typeName

- typeName(type: any): "Null" | "Undefined" | string

- - Defined in mapper/util.ts:270

  Returns the name of the given Type. null and undefined are special cases were we return 'Null' vs. 'Undefined'

  #### Parameters

  - ##### type: any

  #### Returns "Null" | "Undefined" | string

### Static typeOf

- typeOf(data: any): AttributeValueType

- - Defined in mapper/util.ts:156

  Will resolve the type based on given data.

  #### Parameters

  - ##### data: any

  #### Returns AttributeValueType

### Static typeOfFromDb

- typeOfFromDb(attributeValue?: Attribute): AttributeValueType

- - Defined in mapper/util.ts:195

  #### Parameters

  - ##### Optional attributeValue: Attribute

  #### Returns AttributeValueType

### Static uuidv4

- uuidv4(): string

- - Defined in mapper/util.ts:291

  #### Returns string

## Object literals

### Static REGEX_CONVENTIONS

REGEX_CONVENTIONS: object

- Defined in mapper/util.ts:30

### date

date: RegExp = /^(?:date|[\w]+(?:Date|At)(?:[A-Z]{1}[\w]+)?)$/

- Defined in mapper/util.ts:31

Generated using TypeDoc